Data APIs
Youtube Endpoint
POST
/
data
/
youtube
/
extract
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/youtube/extract",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/youtube/extract", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/youtube/extract \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"
}'{
"markdown": "<string>",
"metadata": {
"kind": "video",
"url": "<string>",
"title": "<string>",
"video_id": "<string>",
"channel": "<string>",
"channel_url": "<string>",
"description": "<string>",
"duration_seconds": 123,
"views": "<string>",
"subscribers": "<string>",
"video_count": "<string>",
"image_url": "<string>",
"published": "<string>"
},
"captions_status": "available",
"captions_language": "<string>",
"captions_automatic": true,
"captions": [
{
"start": 1,
"text": "<string>",
"duration": 1
}
],
"videos": [
{
"id": "<string>",
"url": "<string>",
"title": "<string>",
"duration": "<string>",
"views": "<string>",
"published": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Available options:
available, unavailable, disabled, not_applicable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/youtube/extract",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/youtube/extract", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/youtube/extract \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://www.youtube.com/watch?v=jNQXAC9IVRw"
}'{
"markdown": "<string>",
"metadata": {
"kind": "video",
"url": "<string>",
"title": "<string>",
"video_id": "<string>",
"channel": "<string>",
"channel_url": "<string>",
"description": "<string>",
"duration_seconds": 123,
"views": "<string>",
"subscribers": "<string>",
"video_count": "<string>",
"image_url": "<string>",
"published": "<string>"
},
"captions_status": "available",
"captions_language": "<string>",
"captions_automatic": true,
"captions": [
{
"start": 1,
"text": "<string>",
"duration": 1
}
],
"videos": [
{
"id": "<string>",
"url": "<string>",
"title": "<string>",
"duration": "<string>",
"views": "<string>",
"published": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}